> For the complete documentation index, see [llms.txt](https://docs.tsgglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tsgglobal.com/api-reference/programmable-sms/delivery-receipts-dlrs.md).

# Delivery Receipts (DLRs)

## Overview

{% hint style="danger" %}
DLRs are requested on a per-message basis. If you do not request a DLR, you will not have a record of the result of the transaction.
{% endhint %}

A Delivery Receipt (DLR) is **an acknowledgement from a destination carrier network that a message was successfully accepted or rejected** (and the reason the message was rejected). TSG Global supports DLRs on SMS and MMS if a customer has their requested delivery status flag set appropriately. The DLRs will be delivered to your inbound webhook/URI if requested.

## DLR Example

Below is an example DLR:

```
{
  "delivery_error_code": "000",
  "delivery_status": "delivered",
  "done_at": "2022-04-13T21:35:00",
  "from": "14252437709",
  "id": "a2692312-2050-4a50-9123-ca7b4cde0db7",
  "inserted_at": "2022-04-13T21:35:22.401373",
  "object": "sms_dlr",
  "sms": {
    "id": "a4c56a01-4daf-4ae1-9732-025b427add13"
  },
  "submitted_at": "2022-04-13T21:35:00",
  "to": "18574914340",
  "type": "inbound",
  "updated_at": "2022-04-13T21:35:22.401373"
}
```

## DLR Error Codes

A list of current DLR error codes can be found here:\
<https://support.tsgglobal.com/hc/en-us/articles/4643124175131-Common-DLR-Error-Codes>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tsgglobal.com/api-reference/programmable-sms/delivery-receipts-dlrs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
